/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Models.BonReceptionFrs;

import Models.Fournisseur.Fournisseur;
import Models.User.Profile;
import javafx.collections.ObservableList;

/**
 *
 * @author Maher
 */
public class BonReceptionFrs {
    
    public String IdBonReception;
    public Fournisseur Fournisseur;
    public String Numero;
    public String Transporteur;
    public String NetPayer;
    public String Heur;
    public String Date;
    public String Local;
    public Profile Profile;
    public String IdFactureFrs;
    public String PoidsProduits;
   
    
    
    public ObservableList<BonReceptionProduitList> ListProduit ;
    
    public String getIdBonReception() {
        return IdBonReception;
    }

    public void setIdBonReception(String IdBonReception) {
        this.IdBonReception = IdBonReception;
    }

    public Fournisseur getFournisseur() {
        return Fournisseur;
    }

    public void setFournisseur(Fournisseur Fournisseur) {
        this.Fournisseur = Fournisseur;
    }

    

    public String getNumero() {
        return Numero;
    }

    public void setNumero(String Numero) {
        this.Numero = Numero;
    }

    public String getTransporteur() {
        return Transporteur;
    }

    public void setTransporteur(String Transporteur) {
        this.Transporteur = Transporteur;
    }

    public String getNetPayer() {
        return NetPayer;
    }

    public void setNetPayer(String NetPayer) {
        this.NetPayer = NetPayer;
    }

    
    public String getHeur() {
        return Heur;
    }

    public void setHeur(String Heur) {
        this.Heur = Heur;
    }

    public String getDate() {
        return Date;
    }

    public void setDate(String Date) {
        this.Date = Date;
    }

    public String getLocal() {
        return Local;
    }

    public void setLocal(String Local) {
        this.Local = Local;
    }

    public Profile getProfile() {
        return Profile;
    }

    public void setProfile(Profile Profile) {
        this.Profile = Profile;
    }

   

    public String getIdFactureFrs() {
        return IdFactureFrs;
    }

    public void setIdFactureFrs(String IdFactureFrs) {
        this.IdFactureFrs = IdFactureFrs;
    }

    public String getPoidsProduits() {
        return PoidsProduits;
    }

    public void setPoidsProduits(String PoidsProduits) {
        this.PoidsProduits = PoidsProduits;
    }

    
    public ObservableList<BonReceptionProduitList> getListProduit() {
        return ListProduit;
    }

    public void setListProduit(ObservableList<BonReceptionProduitList> ListProduit) {
        this.ListProduit = ListProduit;
    }
    
    
}
